register_netdevice_notifier
Prev | Driver Support | Next

## Name

register_netdevice_notifier — register a network notifier block

## Synopsis

`int register_netdevice_notifier (` | struct notifier_block * | nb`)`;

## Arguments

`nb`

  notifier

## Description

Register a notifier to be called when network device events occur. The notifier passed is linked into the kernel structures and must not be reused until it has been unregistered. A negative errno code is returned on a failure.

When registered all registration and up events are replayed to the new notifier to allow device to have a race free view of the network device list.

Prev | Up | Next
dev_close | Home | unregister_netdevice_notifier